<?
require '../sys/inc/start.php';
require '../sys/inc/compress.php';
require '../sys/inc/sess.php';
require '../sys/inc/home.php';
require '../sys/inc/settings.php';
require '../sys/inc/db_connect.php';
require '../sys/inc/ipua.php';
require '../sys/inc/fnc.php';
require '../sys/inc/user.php';

if(isset($_GET['id']) && mysql_result(mysql_query("SELECT COUNT(*) FROM `user` WHERE `id` = '".intval($_GET['id'])."' LIMIT 1"),0)==1 || isset($user) && !isset($_GET['id']))
{
if(isset($_GET['id']) && mysql_result(mysql_query("SELECT COUNT(*) FROM `user` WHERE `id` = '".intval($_GET['id'])."' LIMIT 1"),0)==1)
{
$id=intval($_GET['id']);
$ank=get_user($id);
}else{
$ank=get_user($user['id']);
}
$set['title']=$ank['nick'].' в сообществах'; // заголовок страницы
require '../sys/inc/thead.php';
title();
if(mysql_result(mysql_query("SELECT COUNT(*) FROM `soo` WHERE `admid` = '$ank[id]' LIMIT 1"),0)!=0)
{
echo "<div class='fyt'><b>Сообщества пользователя:</b></div>\n";
$q1=mysql_query("SELECT * FROM `soo` WHERE `admid`='$ank[id]' ORDER BY `time` DESC");
while ($adm_soo = mysql_fetch_assoc($q1))
{
if($num==1){
echo "<div class='enk_div'>\n";
$num=0;
}else{
echo "<div class='enk2_div'>\n";
$num=1;}
$users=$adm_soo['users']+1;
echo'<a href="/soo/'.$adm_soo['id'].'">'.$adm_soo['name'].'</a> ('.$users.' участников)<br/>';
echo'<span class="ank_n">Описание:</span> <span class="ank_d">'.output_text($adm_soo['desc']).'</span><br/>';
echo'<span class="ank_n">Дата создания:</span> <span class="ank_d">'.vremja($adm_soo['time']).'</span>';
echo'</div>';
}
}else{
?>
<div class='noy'>У пользователя нет своих сообществ</div>
<?
}
$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `soo_users` WHERE `id_user`='$ank[id]'"),0);
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
if ($k_post==0)
{
?>
<div class='noy'>Пользователь не состоит ни в одном из сообществ</div>
<?
}else{
echo "<div class='fyt'><b>Пользователь состоит в сообществах:</b></div>\n";
$q2=mysql_query("SELECT * FROM `soo_users` WHERE `id_user`='$ank[id]' ORDER BY `time` DESC");
while ($soo = mysql_fetch_assoc($q2))
{
$s=mysql_fetch_assoc(mysql_query("SELECT * FROM `soo` WHERE `id` = '$soo[id_soo]' LIMIT 1"));
$users2=$s['users']+1;
if($num==1){
echo "<div class='enk_div'>\n";
$num=0;
}else{
echo "<div class='enk2_div'>\n";
$num=1;}
echo'<a href="/soo/'.$s['id'].'">'.$s['name'].'</a> ('.$users2.' участников)<br/>';
echo'<span class="ank_n">Описание:</span> <span class="ank_d">'.output_text($s['desc']).'</span><br/>';
echo'<span class="ank_n">Дата вступления:</span> <span class="ank_d">'.vremja($soo['time']).'</span>';
if($soo['mod']==1)echo'<br/><span class="ank_n">Статус:</span> <span class="ank_d">Модератор</span>'; else echo'<br/><span class="ank_n">Статус:</span> <span class="ank_d">Пользователь</span>';
echo '</div>';
}
}
}else{
header("Location:index.php");
}
require '../sys/inc/tfoot.php';
?>
